Ortaklar için API › Çalışma alanı SMS ile yetkilendirmeyi başlat POST /api/crm/v2/mobile_apps_ios_authorization_codes.authorizationv2
operationId: mobileAppsiOSAuthorizationCodes.authorization
IOS hesabının SMS ile arka planda yetkilendirilmesini başlatır. Apple'ın SMS ile gönderdiği kod daha sonra .add ile girilir ve işlem devam eder. Ağa bağlı iOS hesabı kullanılır; istek gövdesi boştur. Ağa bağlı bir iOS hesabı yoksa veya hesap bulunamazsa, 100 hatası döner.
Yetkilendirme api-token + language + role
İstek gövdesi application/json Yanıtlar 200
object
status string zorunlu
Değerler: successerror
Örnek: success
curl PHP JavaScript Python Kopyala
curl -X POST 'https://foodsoul.pro/api/crm/v2/mobile_apps_ios_authorization_codes.authorization' \
-H 'Authorization: Bearer fs_api_YOUR_TOKEN' \
-H 'language: tr' \
-H 'role: partner' \
-H 'Content-Type: application/json' \
-d '{}' <?php
$client = new \GuzzleHttp\Client ();
$response = $client -> request ( 'POST' , 'https://foodsoul.pro/api/crm/v2/mobile_apps_ios_authorization_codes.authorization' , [
'headers' => [
'Authorization' => 'Bearer fs_api_YOUR_TOKEN' ,
'language' => 'tr' ,
'role' => 'partner' ,
],
'json' => [],
]);
$data = json_decode (( string ) $response -> getBody (), true ); const response = await fetch ( "https://foodsoul.pro/api/crm/v2/mobile_apps_ios_authorization_codes.authorization" , {
method : "POST" ,
headers : {
"Authorization" : "Bearer fs_api_YOUR_TOKEN" ,
"language" : "tr" ,
"role" : "partner" ,
"Content-Type" : "application/json"
},
body : JSON . stringify ({}),
})
const data = await response . json () import requests
response = requests . request (
"POST" ,
"https://foodsoul.pro/api/crm/v2/mobile_apps_ios_authorization_codes.authorization" ,
headers ={
"Authorization" : "Bearer fs_api_YOUR_TOKEN" ,
"language" : "tr" ,
"role" : "partner" ,
},
json ={},
)
data = response . json () Yanıt 200
{
"status" : "success" ,
"data" : {}
} İstekler foodsoul.pro adresine gönderiliyor — bu portalın ana bilgisayarıdır, başka birini seçmek mümkün değildir.